# watcherclient.v1.data_model module

class watcherclient.v1.data_model.DataModel(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.data_model.DataModelManager(api)

  Bases: `watcherclient.common.base.Manager`

  list(data_model_type='compute', audit=None)

    Retrieve a list of data model.

    Parameters

      - data_model_type – The type of data model user wants to list. Supported values: compute. Future support values: storage, baremetal. The default value is compute.

      - audit – The UUID of the audit, used to filter data model by the scope in audit.

    Returns

      A list of data model.

  resource_class

    alias of `watcherclient.v1.data_model.DataModel`

this page last updated: 2021-12-01 21:05:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug